import { PPTPlayer } from "@netless/ppt-player";
export declare class PlayerConfig {
    private player;
    constructor(player: PPTPlayer);
    get frameRate(): any;
    set frameRate(_: any);
    get drawFrames(): number;
    set drawFrames(_: number);
    get drawCall(): number;
    set drawCall(_: number);
    get resolution(): number;
    set resolution(value: number);
    get size(): any;
    set size(_: any);
    get minFPS(): number;
    set minFPS(value: number);
    get maxFPS(): number;
    set maxFPS(value: number);
    get autoResolution(): boolean;
    set autoResolution(value: boolean);
    get autoFPS(): boolean;
    set autoFPS(value: boolean);
    get backgroundColor(): any;
    set backgroundColor(value: any);
    get maxResolutionLevel(): number;
    set maxResolutionLevel(value: number);
}
export declare class PlayerController {
    private stateId;
    private anchor;
    private gui;
    private controller;
    private config;
    constructor(player: PPTPlayer, anchor: HTMLDivElement);
    private createStats;
    private createControllerGUI;
    destroy(): void;
}
